WSN Guest 1.24 - 'wsnuser' Cookie Parameter SQL Injection Vulnerability

2011-02-18T00:00:00
ID EDB-ID:35360
Type exploitdb
Reporter Aliaksandr Hartsuyeu
Modified 2011-02-18T00:00:00

Description

WSN Guest 1.24 'wsnuser' Cookie Parameter SQL Injection Vulnerability. CVE-2011-1060. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/46444/info

WSN Guest is prone to an SQL-injection vulnerability because the application fails to properly sanitize user-supplied input before using it in an SQL query.

A successful exploit could allow an attacker to compromise the application, access or modify data, or exploit vulnerabilities in the underlying database.

WSN Guest 1.24 is vulnerable; other versions may also be vulnerable. 

GET /wsnguest/index.php?debug=1 HTTP/1.0
Host: www.example.com
Cookie: wsnuser=[SQL Injection]